Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.sword.processing
Class NoOpRawTextProcessor

    java.lang.Object
      org.crosswire.jsword.book.sword.processing.NoOpRawTextProcessor

All Implemented Interfaces:
  RawTextToXmlProcessor

    public class NoOpRawTextProcessor

extends Object
implements RawTextToXmlProcessor

A processor that does absolutely nothing.

Author:
  DM Smith
See Also:
  `The GNU Lesser General Public License for details.`

Constructor Summary
`NoOpRawTextProcessor()`

Method Summary
`void` | `init(List<org.jdom2.Content> partialDom)` Runs before the processing starts.
`void` | `postVerse(Key verse, List<org.jdom2.Content> partialDom, String rawText)` Executes after a verse is read from the raw data.
`void` | `preRange(VerseRange range, List<org.jdom2.Content> partialDom)` Executes before a range is read from the raw data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoOpRawTextProcessor

    public NoOpRawTextProcessor()

Method Detail

### preRange

    public void preRange(VerseRange range,
                         List<org.jdom2.Content> partialDom)

  Description copied from interface: `RawTextToXmlProcessor`
  Executes before a range is read from the raw data.

  Specified by:
    `preRange` in interface `RawTextToXmlProcessor`
  Parameters:
    `range` - the verse that is currently being examined
    `partialDom` - the DOM that is being built up as data is read

### postVerse

    public void postVerse(Key verse,
                          List<org.jdom2.Content> partialDom,
                          String rawText)

  Description copied from interface: `RawTextToXmlProcessor`
  Executes after a verse is read from the raw data.

  Specified by:
    `postVerse` in interface `RawTextToXmlProcessor`
  Parameters:
    `verse` - the verse that is currently being examined
    `partialDom` - the DOM that is being built up as data is read
    `rawText` - the text that has been read, deciphered

### init

    public void init(List<org.jdom2.Content> partialDom)

  Description copied from interface: `RawTextToXmlProcessor`
  Runs before the processing starts.

  Specified by:
    `init` in interface `RawTextToXmlProcessor`
  Parameters:
    `partialDom` - the DOM, empty at this stage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD